# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [PEP 440](https://www.python.org/dev/peps/pep-0440/) 
and uses [Semantic Versioning](https://semver.org/spec/v2.0.0.html).


## [0.3.26](https://github.com/ASFHyP3/hyp3-docs/compare/v0.3.25...v0.3.26)

### Changed
* Increase monthly job quota per user from 250 to 1,000

## [0.3.25](https://github.com/ASFHyP3/hyp3-docs/compare/v0.3.24...v0.3.25)

### Changed
* Updated Figure 2 in [Introduction to SAR](docs/guides/introduction_to_sar.md)
* Updated Figure 2 in [InSAR Product Guide](docs/guides/insar_product_guide.md)

## [0.3.24](https://github.com/ASFHyP3/hyp3-docs/compare/v0.3.23...v0.3.24)

### Changed
* Set external links in [InSAR Product Guide](docs/guides/insar_product_guide.md) to display the target URL in the tool tip and open in a new browser tab.
* Updated [Subscriptions](docs/using/subscriptions.md) document to include links to [Vertex subscription documentation](https://docs.asf.alaska.edu/vertex/manual/#subscriptions).

## [0.3.23](https://github.com/ASFHyP3/hyp3-docs/compare/v0.3.22...v0.3.23)

### Changed
* Updated HyP3 SDK to [v1.4.1](https://github.com/ASFHyP3/hyp3-sdk/blob/main/CHANGELOG.md#141)

## [0.3.22](https://github.com/ASFHyP3/hyp3-docs/compare/v0.3.21...v0.3.22)

### Changed
* Corrected the attribution for figures in the [InSAR Product Guide](docs/guides/insar_product_guide.md) and the [Introduction to SAR](docs/guides/introduction_to_sar.md)

## [0.3.21](https://github.com/ASFHyP3/hyp3-docs/compare/v0.3.20...v0.3.21)

### Changed
* Updated ASF Tools to [v0.3.0](https://github.com/ASFHyP3/asf-tools/blob/develop/CHANGELOG.md#030)

## [0.3.20](https://github.com/ASFHyP3/hyp3-docs/compare/v0.3.19...v0.3.20)

### Changed
* Updated the [InSAR Product Guide](docs/guides/insar_product_guide.md) to reflect the change in the location of the phase unwrapping reference point (formerly the (0,0) location of the combined image pair, now the location of the pixel with the highest coherence value) 
* Updated the [InSAR Product Guide](docs/guides/insar_product_guide.md) to adjust the list of parameters included in the parameter file

## [0.3.19](https://github.com/ASFHyP3/hyp3-docs/compare/v0.3.18...v0.3.19)

### Changed
* Updated the [InSAR Product Guide](docs/guides/insar_product_guide.md) to include information about the fringe patterns in the InSAR browse images

## [0.3.18](https://github.com/ASFHyP3/hyp3-docs/compare/v0.3.17...v0.3.18)

### Added
* A [Subscriptions](docs/using/subscriptions.md) page describing subscription functionality

## [0.3.17](https://github.com/ASFHyP3/hyp3-docs/compare/v0.3.16...v0.3.17)

### Changed
* Updated HyP3 SDK to [v1.4.0](https://github.com/ASFHyP3/hyp3-sdk/blob/main/CHANGELOG.md#140)

## [0.3.16](https://github.com/ASFHyP3/hyp3-docs/compare/v0.3.15...v0.3.16)

### Added
* A [User Quota](docs/using/quota.md) page describing user quotas

### Changed
* Updated the [InSAR Product Guide](docs/guides/insar_product_guide.md) to reflect changes in the option for including displacement maps in InSAR product packages
* Updated the URL for the [Copernicus DEM](https://spacedata.copernicus.eu/explore-more/news-archive/-/asset_publisher/Ye8egYeRPLEs/blog/id/434960) information webpage

## [0.3.15](https://github.com/ASFHyP3/hyp3-docs/compare/v0.3.14...v0.3.15)

### Added
* Added information on the impacts of the phase unwrapping reference point on the phase difference and LOS Displacement values to the [InSAR Product Guide](docs/guides/insar_product_guide.md)

## [0.3.14](https://github.com/ASFHyP3/hyp3-docs/compare/v0.3.13...v0.3.14)

### Changed
* Clarified the availability of the 'apply water mask' option in the [InSAR Product Guide](docs/guides/insar_product_guide.md)

## [0.3.13](https://github.com/ASFHyP3/hyp3-docs/compare/v0.3.12...v0.3.13)

### Changed
* Updated HyP3 SDK to [v1.3.2](https://github.com/ASFHyP3/hyp3-sdk/blob/main/CHANGELOG.md#132)

## [0.3.12](https://github.com/ASFHyP3/hyp3-docs/compare/v0.3.11...v0.3.12)

### Changed
* Updated the [InSAR Product Guide](docs/guides/insar_product_guide.md) to document the option to apply a water mask during phase unwrapping

## [0.3.11](https://github.com/ASFHyP3/hyp3-docs/compare/v0.3.10...v0.3.11)

### Changed
* Updated HyP3 SDK to [v1.3.1](https://github.com/ASFHyP3/hyp3-sdk/blob/main/CHANGELOG.md#131)

## [0.3.10](https://github.com/ASFHyP3/hyp3-docs/compare/v0.3.9...v0.3.10)

### Changed
* Updated HyP3 SDK to [v1.3.0](https://github.com/ASFHyP3/hyp3-sdk/blob/main/CHANGELOG.md#130)

## [0.3.9](https://github.com/ASFHyP3/hyp3-docs/compare/v0.3.8...v0.3.9)

### Changed
* Updated the [InSAR Product Guide](docs/guides/insar_product_guide.md) to document the inclusion of an ellipsoid incidence angle map in the InSAR product package
* Updated the water mask description in the [InSAR Product Guide](docs/guides/insar_product_guide.md) to include large inland waterbodies

## [0.3.8](https://github.com/ASFHyP3/hyp3-docs/compare/v0.3.7...v0.3.8)

### Changed
* Updated the [InSAR Product Guide](docs/guides/insar_product_guide.md) to document the inclusion of a water mask in the InSAR product package

## [0.3.7](https://github.com/ASFHyP3/hyp3-docs/compare/v0.3.6...v0.3.7)

### Added 
* A [What's New](docs/whats_new.md) page which displays [@ASFHyP3's](https://twitter.com/ASFHyP3) twitter feed

## [0.3.6](https://github.com/ASFHyP3/hyp3-docs/compare/v0.3.5...v0.3.6)

### Changed
* Updated HyP3 SDK to [v1.2.0](https://github.com/ASFHyP3/hyp3-sdk/blob/main/CHANGELOG.md#120)

## [0.3.5](https://github.com/ASFHyP3/hyp3-docs/compare/v0.3.4...v0.3.5)

### Added
* Added descriptions for each type of metadata file in the [InSAR Product Guide](docs/guides/insar_product_guide.md),
  including the new ArcGIS-compliant metadata xml files added in hyp3-gamma
  [4.6.0](https://github.com/ASFHyP3/hyp3-gamma/blob/develop/CHANGELOG.md#460)

## [0.3.4](https://github.com/ASFHyP3/hyp3-docs/compare/v0.3.3...v0.3.4)

### Changed
* Updated availability of InSAR options in [InSAR Product Guide](docs/guides/insar_product_guide.md) 

## [0.3.3](https://github.com/ASFHyP3/hyp3-docs/compare/v0.3.2...v0.3.3)

### Fixed
* Corrected the [InSAR API examples](docs/using/api.md) `job_type` parameter value

## [0.3.2](https://github.com/ASFHyP3/hyp3-docs/compare/v0.3.1...v0.3.2)

### Changed
* Updated HyP3 SDK to [v1.1.3](https://github.com/ASFHyP3/hyp3-sdk/blob/main/CHANGELOG.md#113)

## [0.3.1](https://github.com/ASFHyP3/hyp3-docs/compare/v0.3.0...v0.3.1)

### Changed
* Updated HyP3 SDK to [v1.1.2](https://github.com/ASFHyP3/hyp3-sdk/blob/main/CHANGELOG.md#112)

## [0.3.0](https://github.com/ASFHyP3/hyp3-docs/compare/v0.2.2...v0.3.0)

### Added
* Added a [Contact Us snippet](docs/contact-snippet.md) that is used on the [Home](docs/index.md) page
  and a new [Contact Us](docs/contact-snippet.md) page
* Added SAR Basics -> [Introduction to SAR](docs/guides/introduction_to_sar.md) page
* Added Products -> InSAR -> [InSAR Product Guide](docs/guides/insar_product_guide.md) page

### Changed
* Re-organized site table of contents
* Moved product usage guidelines from Products page to a new Products ->
  [Usage Guidelines](docs/usage_guidelines.md) page
* Updated RTC Product Guide and DEM reference page to state that the Copernicus DEM is now available

## [0.2.2](https://github.com/ASFHyP3/hyp3-docs/compare/v0.2.1...v0.2.2)

### Changed
* Updated HyP3 SDK to [v1.1.1](https://github.com/ASFHyP3/hyp3-sdk/blob/main/CHANGELOG.md#111)

## [0.2.1](https://github.com/ASFHyP3/hyp3-docs/compare/v0.2.0...v0.2.1)

### Changed
* Updated HyP3 SDK to [v1.1.0](https://github.com/ASFHyP3/hyp3-sdk/blob/main/CHANGELOG.md#110)

## [0.2.0](https://github.com/ASFHyP3/hyp3-docs/compare/v0.1.0...v0.2.0)

### Changed
* Updated the RTC Product Guide and DEM Information section to include the Copernicus DEM GLO-30
* Added an abstract to the RTC Product Guide  
* Updated the RTC Product Guide to include more information on SAR distortions, how they are addressed by
  radiometric terrain correction, and how to access ASF's On-Demand RTC processing functionality and resources

## [0.1.0](https://github.com/ASFHyP3/hyp3-docs/compare/v0.0.0...v0.1.0)

### Added
* HyP3 user documentation for the SDK and API, and links for Vertex's On Demand usage
* HyP3 product documentation for RTC, InSAR, and autoRIFT products
* Other associated tools documentation
